GET api/Common/GetRoleListForPermission

Request Information

URI Parameters

None.

Body Parameters

None.

Response Information

Resource Description

Collection of RoleModel
NameDescriptionTypeAdditional information
RoleId

integer

None.

Name

string

None.

Description

string

None.

CreatedBy

integer

None.

Status

integer

None.

CreatedDate

date

None.

UpdatedBy

integer

None.

UpdatedDate

date

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "roleId": 1,
    "name": "sample string 2",
    "description": "sample string 3",
    "createdBy": 4,
    "status": 5,
    "createdDate": "2026-04-13T20:16:39.4553584+05:30",
    "updatedBy": 7,
    "updatedDate": "2026-04-13T20:16:39.4553584+05:30"
  },
  {
    "roleId": 1,
    "name": "sample string 2",
    "description": "sample string 3",
    "createdBy": 4,
    "status": 5,
    "createdDate": "2026-04-13T20:16:39.4553584+05:30",
    "updatedBy": 7,
    "updatedDate": "2026-04-13T20:16:39.4553584+05:30"
  }
]

application/xml, text/xml

Sample:
<ArrayOfRoleModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DistributionApplication.Entities">
  <RoleModel>
    <CreatedBy>4</CreatedBy>
    <CreatedDate>2026-04-13T20:16:39.4553584+05:30</CreatedDate>
    <Description>sample string 3</Description>
    <Name>sample string 2</Name>
    <RoleId>1</RoleId>
    <Status>5</Status>
    <UpdatedBy>7</UpdatedBy>
    <UpdatedDate>2026-04-13T20:16:39.4553584+05:30</UpdatedDate>
  </RoleModel>
  <RoleModel>
    <CreatedBy>4</CreatedBy>
    <CreatedDate>2026-04-13T20:16:39.4553584+05:30</CreatedDate>
    <Description>sample string 3</Description>
    <Name>sample string 2</Name>
    <RoleId>1</RoleId>
    <Status>5</Status>
    <UpdatedBy>7</UpdatedBy>
    <UpdatedDate>2026-04-13T20:16:39.4553584+05:30</UpdatedDate>
  </RoleModel>
</ArrayOfRoleModel>